# Show_Vertex_XXX

## Functions

float | `HIC_Show_Vertex_Color_Red`
float | `HIC_Show_Vertex_Color_Green`
float | `HIC_Show_Vertex_Color_Blue`
float | `HIC_Show_Vertex_Color_Alpha`
HIC_Integer32 | `HIC_Show_Internal_Vertex_Color`
float | `HIC_Show_Vertex_Contrast_Color_Red`
float | `HIC_Show_Vertex_Contrast_Color_Green`
float | `HIC_Show_Vertex_Contrast_Color_Blue`
HIC_Integer32 | `HIC_Show_Internal_Vertex_Contrast_Color`

## Detailed Description

group Show_Vertex_XXX

## Function Documentation

float HIC_Show_Vertex_Color_Red(HIC_Rendition *nr)

  This function returns the red component of the vertex color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Vertex_Color_Green(HIC_Rendition *nr)

  This function returns the green component of the vertex color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Vertex_Color_Blue(HIC_Rendition *nr)

  This function returns the blue component of the vertex color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Vertex_Color_Alpha(HIC_Rendition *nr)

  This function returns the alpha component of the vertex color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

HIC_Integer32 HIC_Show_Internal_Vertex_Color(HIC_Rendition *nr)

  This function returns the internal representation of color used to draw shell vertices.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A HIC_Integer32.

float HIC_Show_Vertex_Contrast_Color_Red(HIC_Rendition *nr)

  This function returns the red component of the vertex contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Vertex_Contrast_Color_Green(HIC_Rendition *nr)

  This function returns the green component of the vertex contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

float HIC_Show_Vertex_Contrast_Color_Blue(HIC_Rendition *nr)

  This function returns the blue component of the vertex contrast color as a float value with a range 0 to 1.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A float.

HIC_Integer32 HIC_Show_Internal_Vertex_Contrast_Color(HIC_Rendition *nr)

  This function returns the internal representation of the marker contrast color.

  Parameters

    nr – A pointer to a const HIC_Rendition.

  Returns

    A HIC_Integer32.